Create customer group
Create customer group
Required permissions: CUSTOMER
post/tenants/{tenantUid}/customer-groups
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Body
namestringRequired
customerGroupUidstringOptionalPattern:
^[A-Za-z0-9-_]*Responses
201
Example response
application/json
customerGroupUidstringRequiredPattern:
^[A-Za-z0-9-_]+namestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/customer-groups
POST /v2/tenants/{tenantUid}/customer-groups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 41
{
"name": "text",
"customerGroupUid": "text"
}201
Example response
{
"customerGroupUid": "text",
"name": "text",
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

